---
title: List all Workflows
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Workflows](https://developers.cloudflare.com/api/go/resources/workflows)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List all Workflows

client.Workflows.List(ctx, params) (\*V4PagePaginationArray\[[WorkflowListResponse](<https://developers.cloudflare.com/api/go/resources/workflows#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/workflows

Lists all workflows configured for the account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers Tail Read``Workers Scripts Write``Workers Scripts Read`

##### ParametersExpand Collapse

<details>

<summary>

params WorkflowListParams

</summary>

AccountID param.Field\[string]

Path param

<a href="#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Page param.Field\[float64]Optional

Query param

minimum1

<a href="#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param

maximum100

minimum1

<a href="#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

Search param.Field\[string]Optional

Query param: Allows filtering workflows\` name.

maxLength64

minLength1

<a href="#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20search">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type WorkflowListResponse struct{…}

</summary>

ID string

formatuuid

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

ClassName string

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20class_name">Link to this property</a>

CreatedOn Time

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

Instances map\[string, float64]

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20instances">Link to this property</a>

ModifiedOn Time

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

Name string

maxLength64

minLength1

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

ScriptName string

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20script_name">Link to this property</a>

TriggeredOn Time

formatdate-time

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20triggered_on">Link to this property</a>

<details>

<summary>

Schedules \[]WorkflowListResponseScheduleOptional

</summary>

Cron string

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20schedules%20%3E%20(items)%20%3E%20(property)%20cron">Link to this property</a>

NextInstance string

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20schedules%20%3E%20(items)%20%3E%20(property)%20next_instance">Link to this property</a>

</details>

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20schedules">Link to this property</a>

ScriptDeleted boolOptional

Whether the bound Worker was deleted, leaving this Workflow inactive.

<a href="#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)%20%3E%20(property)%20script_deleted">Link to this property</a>

</details>

[Link to this property](<#(resource)%20workflows%20%3E%20(model)%20WorkflowListResponse%20%3E%20(schema)>)

### List all Workflows

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workflows"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Workflows.List(context.TODO(), workflows.WorkflowListParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "instances": {
        "foo": 0
      },
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "script_name": "script_name",
      "triggered_on": "2019-12-27T18:11:19.117Z",
      "schedules": [
        {
          "cron": "cron",
          "next_instance": "next_instance"
        }
      ],
      "script_deleted": true
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "instances": {
        "foo": 0
      },
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "script_name": "script_name",
      "triggered_on": "2019-12-27T18:11:19.117Z",
      "schedules": [
        {
          "cron": "cron",
          "next_instance": "next_instance"
        }
      ],
      "script_deleted": true
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
```